<mat-card>

  <mat-card-header>
    <mat-card-title>Taxi Rides</mat-card-title>
    <mat-card-subtitle>Rides detail</mat-card-subtitle>
  </mat-card-header>

  <mat-card-content>
    <div class="example-container mat-elevation-z8">
      <mat-progress-bar mode="query" *ngIf="loading"></mat-progress-bar>
      <mat-toolbar>
        <div class="button-row">
          <button mat-raised-button color="primary" (click)="createRide()" matTooltip="Create a new test ride">New Test Ride</button>
        </div>
      </mat-toolbar>
      <mat-table [dataSource]="dataSource" class="mat-elevation-z8">

        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef> Ride ID. </th>
          <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>

        <ng-container matColumnDef="distance">
          <th mat-header-cell *matHeaderCellDef> Distance </th>
          <td mat-cell *matCellDef="let element"> {{element.distance}} </td>
        </ng-container>

        <ng-container matColumnDef="startTime">
          <th mat-header-cell *matHeaderCellDef> Start Time </th>
          <td mat-cell *matCellDef="let element"> {{element.startTime | date: 'dd-MM-yyyy HH:mm:ss z': '+0200' }} </td>
        </ng-container>

        <ng-container matColumnDef="duration">
          <th mat-header-cell *matHeaderCellDef> Duration </th>
          <td mat-cell *matCellDef="let element"> {{element.duration}} </td>
        </ng-container>

        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef>Ride Details</th>
          <td mat-cell *matCellDef="let element">
            <button mat-button color="primary" (click)="openDialog(element)" matTooltip="Ride Details">
              <mat-icon>info</mat-icon>
            </button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" [ngClass]="{'make-red': row.distance > 2 }"></tr>
      </mat-table>
      <mat-paginator #paginator [pageSize]="10" [pageSizeOptions]="[10, 15]" [showFirstLastButtons]="true">
      </mat-paginator>
    </div>
  </mat-card-content>



</mat-card>